@font-face {
    font-family: "Montserrat-Bold";
    src: url("assets/Montserrat/Montserrat-Bold.ttf");
}

@font-face {
    font-family: "Montserrat-SemiBold";
    src: url("assets/Montserrat/Montserrat-SemiBold.ttf");
}

@font-face {
    font-family: "Montserrat-Regular";
    src: url("assets/Montserrat/Montserrat-Regular.ttf");
}

@font-face {
    font-family: "Montserrat-Medium";
    src: url("assets/Montserrat/Montserrat-Medium.ttf");
}

@font-face {
    font-family: "NotoSans-Bold";
    src: url("assets/NotoSansGeorgian/NotoSansGeorgian-Bold.ttf");
}

@font-face {
    font-family: "NotoSans-SemiBold";
    src: url("assets/NotoSansGeorgian/NotoSansGeorgian-SemiBold.ttf");
}

@font-face {
    font-family: "NotoSans-Regular";
    src: url("assets/NotoSansGeorgian/NotoSansGeorgian-Regular.ttf");
}

@font-face {
    font-family: "NotoSans-Medium";
    src: url("assets/NotoSansGeorgian/NotoSansGeorgian-Medium.ttf");
}


:root {
    --main-font-bold: "Montserrat-Bold" , "NotoSans-Bold";
    --main-font-semibold: "Montserrat-SemiBold" , "NotoSans-SemiBold";
    --main-font-regular: "Montserrat-Regular" , "NotoSans-Regular";
    --main-font-medium: "Montserrat-Medium" , "NotoSans-Medium";
    --primary-color: #fff;
    --btn-background-color: #F70628;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    user-select: none;
}

body {
    font-family: var(--main-font-regular);
}


.main-container {
    background: url("assets/img/web-bg.jpg") no-repeat center center;
    background-size: cover;
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 36px;
    position: relative;
}

.name {
    position: absolute;
    top: 28px;
    left: 28px;
    width: 272px;
    height: 59px;
    object-fit: contain;
}

.title-text {
    color: var(--primary-color);
    font-family: var(--main-font-semibold);
    font-size: 40px;
    font-weight: 600;
    text-transform: uppercase;
    font-feature-settings: "case" on;
}


.prize-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.prize-img {
    max-width: 984px;
    max-height: 293px;
    width: 100%;
    height: 100%;
    margin-bottom: 28px;
}

.prize-text {
    color: var(--primary-color);
    text-shadow: 0px 0px 4px rgba(247, 6, 40, 1);
    font-family: var(--main-font-bold);
    font-weight: 700;
    text-transform: uppercase;
    font-feature-settings: "case" on;
}

.prize-text.primary {
    font-size: 100px;
    margin-bottom: clamp(44px, 6vw, 80px);
}
.prize-text.secondary {
    font-size: 80px;
}

.reg-container {
    background: url("assets/img/reg-bg.png") no-repeat center center;
    background-size: contain;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
    border-radius: 66px;
    max-width: 694px;
    width: 100%;
    max-height: 120px;
    height: 100%;
}

.reg-wrapper {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

.icon {
    width: 43px;
    height: 43px;
    object-fit: contain;
}

.reg-text {
    color: var(--primary-color);
    text-align: center;
    font-family: var(--main-font-medium);
    font-size: 20px;
    font-weight: 500;
}

.custom-button {
    width: auto;
    height: 72px;
    border-radius: 145px;
    background-color: var(--btn-background-color);
    padding: 16px 29px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    line-height: 40px;
    text-transform: uppercase;
    font-feature-settings: "case" on;
    color: var(--primary-color);
    text-decoration: none;
    font-family: var(--main-font-bold);
}

@media (max-width: 575px) {
    .main-container {
        background: url("assets/img/mob-bg.jpg") no-repeat center center;
        background-size: cover;
        justify-content: center;
        gap: 20px;
    }

    .name {
        width: 115px;
        height: 25px;
        left: 12px;
        top: 16px;
    }

    .line {
        width: 210px;
        height: 1.613px;
    }

    .title-text {
        font-size: 24px;
    }

    .prize-img {
        max-width: 300px;
        max-height: 92px;
        margin-bottom: 10px;
    }

    .prize-text.primary {
        font-size: 36px;
    }
    .prize-text.secondary {
        font-size: 29px;
    }

    .reg-container {
        background: url("assets/img/reg-bg-mob.png") no-repeat center center;
        background-size: contain;
        max-width: 288px;
        max-height: 133px;
        border-radius: 24px;
        flex-direction: column;
        justify-content: space-evenly;
    }

    .icon {
        width: 22px;
        height: 22px;
        object-fit: contain;
    }

    .reg-text {
        font-family: var(--main-font-medium);
        font-size: 14px;
        font-weight: 500;
    }

    .custom-button {
        padding: 10px 18px;
        min-width: 146px;
        height: 45px;
        font-size: 14px;
        line-height: 25px;
    }
}